plus de plugin dans Firefox 3.5.2

Le
Jean-Francois Ortolo
Bonjour

Je suis sous Linux Fedora 11 64 bits, et Firefox 3.5.2 64 bits

J'ai réinstallé la distro hier soir, aucune possibilité de virus.

J'ai téléchargé le package yum de FlashPlayer 10 32 bits, et ai lancé
le programme mozilla-plugin-config , qui m'a théoriquement bien installé
l'adaptation à mon Mozilla/Firefox 64 bits, des modules 32 bits existants.

Cette comande utilise le package nspluginwrapper pour faire l'interface
entre les plugins 32 bits ( flashplayer ) et Firefox 64 bits.


Tout est correct, c'est indiqué par la commande: 'mozilla-plugin-config
-l'

Cependant, depuis ( ou bien est-ce du à une fausse manoeuvre de ma
part ? ) Firefox ne contient plus aucun plugin.

Je sais que Firefox et Mozilla ne sont qu'une seule et même chose.

Comment faire pour réinstaller les plugins ?

J'ai réinstallé Firefox à l'instant, aucun plugin dans le
répertoire .mozilla/plugins ou indiqué par about:plugins dans la barre
des urls.

D'ailleurs, le répertoire .mozilla/plugins n'y est plus après
réinstallation.

Merci beaucoup pour votre aide.

Amicalement.

Jean-François Ortolo
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Sergio
Le #19970211
Jean-Francois Ortolo a écrit :
Bonjour

Je suis sous Linux Fedora 11 64 bits, et Firefox 3.5.2 64 bits

J'ai réinstallé la distro hier soir, aucune possibilité de virus.



[...]

Cependant, depuis ( ou bien est-ce du à une fausse manoeuvre de ma
part ? ) Firefox ne contient plus aucun plugin.

Je sais que Firefox et Mozilla ne sont qu'une seule et même chose.

Comment faire pour réinstaller les plugins ?

J'ai réinstallé Firefox à l'instant, aucun plugin dans le
répertoire .mozilla/plugins ou indiqué par about:plugins dans la barre
des urls.



Chez moi (Ubuntu), les plugins (comme Flash...) sont dans un répertoire global :
/usr/lib/firefox/plugins

Par ailleurs (je n'ai qu'une version 32 bits...) j'ai lu qu'il existe un flash player 64 bits.

La doc Ubuntu dit :
"Il existe une version alpha 64 bit du plugin flash version 10 pour les architectures 64 bits. Ce plugin est disponible sur le site
http://labs.adobe.com/downloads/flashplayer10.html. La stabilité de cette version alpha 64 bits est reconnue."

--
Serge http://leserged.online.fr/
Mon blog: http://cahierdesergio.free.fr/
Soutenez le libre: http://www.framasoft.org
Jean-Francois Ortolo
Le #19974191
Le Sat, 22 Aug 2009 16:25:16 +0200, Sergio a écrit :

Par ailleurs (je n'ai qu'une version 32 bits...) j'ai lu qu'il existe un
flash player 64 bits.

La doc Ubuntu dit :
"Il existe une version alpha 64 bit du plugin flash version 10 pour les
architectures 64 bits. Ce plugin est disponible sur le site
http://labs.adobe.com/downloads/flashplayer10.html. La stabilité de
cette version alpha 64 bits est reconnue."




Bonjour

Je n'ai pas de firefox 32 bits, seulement la version 64 bits, donc il
n'y a pas de répertoire firefox sous /usr/lib/

J'ai fait un link symbolique de libflashplayer.so vers le répertoire /
usr/lib64/mozilla/plugins/ , puis j'ai lancé de nouveau la suppression
des plugins avec mozilla-plugin-config -r , puis enfin leur installation
avec comme paramètre -i

Maintenant, mozilla-plugin-config -l m'indique que tous les plugins 32
bits sont présents, mais cela n'empêche pas Firefox de n'avoir aucun
plugin de configuré.

Cela est compréhensible, puisque j'ai installé ces plugins sous mozilla.

Cependant, le package mozilla et firefox, sont les mêmes.

D'autre part, je n'ai jamais eu de répertoire plugins dans le
répertoire /usr/lib64/firefox-3.5.2/ , à moins que je n'ai des problèmes
de mémoire.

Donc, faut-il que je copie le contenu du répertoire /usr/lib64/mozilla/
plugins/ , vers le répertoire /usr/lib64/fireofx-3.5.2/plugins/ ?

C'est effectivement faisable. Je peux toujours essayer, mais si tu
pouvais m'indiquer si c'est nécessaire que les plugins soient installés
sous firefox et non pas seulement sous mozilla, cela m'ôterait un doute,
et me permettrait d'envisager la manip avec plus de sérénité. ;)

Merci beaucoup de ta réponse.

Amicalement.

Jean-François Ortolo
Jean-Francois Ortolo
Le #19974201
Le Sat, 22 Aug 2009 16:25:16 +0200, Sergio a écrit :

Par ailleurs (je n'ai qu'une version 32 bits...) j'ai lu qu'il existe un
flash player 64 bits.

La doc Ubuntu dit :
"Il existe une version alpha 64 bit du plugin flash version 10 pour les
architectures 64 bits. Ce plugin est disponible sur le site
http://labs.adobe.com/downloads/flashplayer10.html. La stabilité de
cette version alpha 64 bits est reconnue."




Bonjour

Je n'ai pas de firefox 32 bits, seulement la version 64 bits, donc il
n'y a pas de répertoire firefox sous /usr/lib/

J'ai fait un link symbolique de libflashplayer.so vers le répertoire /
usr/lib64/mozilla/plugins/ , puis j'ai lancé de nouveau la suppression
des plugins avec mozilla-plugin-config -r , puis enfin leur installation
avec comme paramètre -i

Maintenant, mozilla-plugin-config -l m'indique que tous les plugins 32
bits sont présents, mais cela n'empêche pas Firefox de n'avoir aucun
plugin de configuré.

Cela est compréhensible, puisque j'ai installé ces plugins sous mozilla.

Cependant, le package mozilla et firefox, sont les mêmes.

D'autre part, je n'ai jamais eu de répertoire plugins dans le
répertoire /usr/lib64/firefox-3.5.2/ , à moins que je n'ai des problèmes
de mémoire.

Donc, faut-il que je copie le contenu du répertoire /usr/lib64/mozilla/
plugins/ , vers le répertoire /usr/lib64/fireofx-3.5.2/plugins/ ?

C'est effectivement faisable. Je peux toujours essayer, mais si tu
pouvais m'indiquer si c'est nécessaire que les plugins soient installés
sous firefox et non pas seulement sous mozilla, cela m'ôterait un doute,
et me permettrait d'envisager la manip avec plus de sérénité. ;)

Merci beaucoup de ta réponse.

Amicalement.

Jean-François Ortolo
Jean-Francois Ortolo
Le #19974281
Et puis...

L'aide des plugins de Firefox ( je crois, j'ai effectivement des
problèmes de mémoire, suis un peu ko ) indique bien qu'il y a très peu de
plugins 64 bits pour Firefox 64 bits.

J'avais installé le plugin flashplayer 64 bits avant d'avoir réinstallé
la distro, cela fonctionnait partiellement, avec des arrêts inopinés en
cours d'écoute.

D'autre part j'ai entendu dire, que cette version 64 bits est alpha, et
qu'elle avait quelques bugs.

Je cherche à installer la version 32 bits sans bug, il ne devrait pas y
avoir après de soucis pour l'utilisation.

Je suis à peu près sûr que je n'avais pas de répertoire plugins sous /
usr/lib64/firefox-3.5.2/ , mais je peux me tromper.

Merci beaucoup de ta réponse.

Jean-François Ortolo
Jean-Francois Ortolo
Le #19976141
Le Sat, 22 Aug 2009 16:25:16 +0200, Sergio a écrit :

Par ailleurs (je n'ai qu'une version 32 bits...) j'ai lu qu'il existe un
flash player 64 bits.

La doc Ubuntu dit :
"Il existe une version alpha 64 bit du plugin flash version 10 pour les
architectures 64 bits. Ce plugin est disponible sur le site
http://labs.adobe.com/downloads/flashplayer10.html. La stabilité de
cette version alpha 64 bits est reconnue."




Bonjour Monsieur

Effectivement, j'ai réussi en copiant bêtement les répertoires plugins/
et plugins-wrapped/ de mozilla vers firefox, à résoudre le problème des
plugins.

Il semble que nspluginwrapper, n'est configurable qu'avec mozilla, et
non pas firefox. Mais le fait de copier a résolu le problème ( "an
horrible hack", comme disait quelqu'un ).

Quant à FlashPlayer, le problème était insoluble avec la version 32
bits, j'ai donc installé la version 64 bits, qui malheureusement a
tendance à s'arrêter en cours d'écoute. Cela est aussi vrai avec le
lecteur vidéo ou le programme Gxine, ce que j'attribue à un problème de
synchronisation avec le débit des données reçues.

Il semble donc que ce problème ne soit pas spécifique à flashplayer 64
bits.

Mon débit descendant ( Free haut débit ADSL ) est de l'ordre de 4 à 6
Mb/s.

Merci beaucoup de votre aide.

Jean-François Ortolo
Publicité
Poster une réponse
Anonyme